Skip to content

Update Device

PATCH
/users/{user_id}/devices/{device_id}
curl --request PATCH \
--url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/devices/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "archived": true, "name": "example" }'

Rename and/or archive a device.

user_id
required
User Id
string format: uuid
device_id
required
Device Id
string format: uuid
Media typeapplication/json
DeviceUpdate

Rename and/or archive a device. Only user-owned fields — observational fields (hostname, platform, seen timestamps) are refreshed from uploads, not the client.

object
archived
Any of:
boolean
name
Any of:
string
>= 1 characters <= 200 characters
Examplegenerated
{
"archived": true,
"name": "example"
}

Successful Response

Media typeapplication/json
DeviceOut
object
archived
required
Archived
boolean
client_id
required
Client Id
string
first_seen_at
Any of:
string format: date-time
hostname
Any of:
string
id
required
Id
string format: uuid
last_seen_at
Any of:
string format: date-time
name
required
Name
string
platform
Any of:
string
Examplegenerated
{
"archived": true,
"client_id": "example",
"first_seen_at": "2026-04-15T12:00:00Z",
"hostname": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_seen_at": "2026-04-15T12:00:00Z",
"name": "example",
"platform": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}